# GimpUi.SizeEntry.prototype.set_size

    function set_size(field: Number(gint), lower: Number(gdouble), upper: Number(gdouble)): void {
        // Gjs wrapper for gimp_size_entry_set_size()
    }

Sets the pixel values for field # field of the GimpUi.SizeEntry which will be treated as 0% and 100%.

These values will be used if you specified @menu_show_percent as true in GimpUi.SizeEntry.new and the user has selected GIMP_UNIT_PERCENT in the GimpUi.SizeEntry's GimpUi.UnitComboBox.

This function does nothing if the GimpUi.SizeEntryUpdatePolicy specified in GimpUi.SizeEntry.new doesn't equal to GIMP_SIZE_ENTRY_UPDATE_SIZE.

field

  The index of the field you want to set the size for.

lower

  The reference value which will be treated as 0%.

upper

  The reference value which will be treated as 100%.